\ProvidesPackage{thesis}

\usepackage{scrextend}                              %
\usepackage{graphicx}                               %
\usepackage{wrapfig}                                % Wrap images properly around text

\usepackage[dvipsnames]{xcolor}                     %
\usepackage[a4paper, top=25mm, bottom=25mm, left=30mm, right=30mm]{geometry}
\usepackage[estonian,greek,english]{babel}          % Add Estonian / English language support & Greek for Euro Symbol
\usepackage{longtable}                              %
\usepackage{multirow}                               %
\usepackage{todonotes}                              %
\usepackage{hyperref}                               % Make links clickable
\usepackage{float}                                  %
\usepackage{blindtext}                              %
\usepackage{chngcntr}\counterwithout{table}{chapter}%
\counterwithout{figure}{chapter}                    %

\usepackage[T2A,T1]{fontenc}                        %
\usepackage[utf8]{inputenc}                         %
\usepackage{amssymb}                                % For square itemized lists
\renewcommand{\labelitemi}{\tiny$\blacksquare$}     % For square itemized lists
\usepackage{caption}                                %
\captionsetup{labelsep=period}                      %
\usepackage{verbatimbox}                            % To put program code in the center using Verbatim
\usepackage{amsmath}                                % For mathematical facilities

\usepackage[sorting=none]{biblatex}                 % For references
\usepackage{csquotes}                               % For references
\addbibresource{references.bib}                     % Adds references file
\emergencystretch=1em                               % To prevent overfull hbox in \printbibliography
\usepackage[final]{microtype}                       % To prevent overfull hbox in \printbibliography - option 2

\usepackage{times}                                  %
\setlength{\parindent}{0cm}                         %
\usepackage{setspace}                               %
\onehalfspacing                                     %
\setlength{\parskip}{\baselineskip}                 %
\newcounter{ltrow}                                  %
\usepackage{listings}                               %
\usepackage{needspace}                              % To keep text together when needed use, %\needspace{6em}

\usepackage{titlesec}                                                                           % Title formatting
\titleformat{\chapter}{\normalfont\LARGE\bfseries}{\thechapter.}{1em}{}                         %
\titlespacing*{\chapter}{0pt}{3.5ex plus 1ex minus .2ex}{2.3ex plus .2ex}                       %
\titlespacing*{\section}{0pt}{0pt}{0pt}                                                         %
\titlespacing*{\subsection}{0pt}{0pt}{0pt}                                                      %
\titlespacing*{\subsubsection}{0pt}{0pt}{-10pt}                                                 %
\titleformat{\section}[hang]{\normalfont\large\bf}{\thesection}{1em}{}[]                        %
\titleformat{\subsection}[hang]{\normalfont\large\bf}{\thesubsection}{1em}{}[]                  %
\titleformat{\subsubsection}[hang]{\normalfont\normalsize\bf}{\thesubsubsection}{1em}{}[]       %

\usepackage{enumitem}                                       % Sets list spacing
\setlist[itemize]{noitemsep, topsep=0pt}                    %
\setlist[enumerate]{noitemsep, topsep=0pt}                  %

\usepackage{tocloft}                                        % Adds control over Table of Content style
\renewcommand{\cfttoctitlefont}{\hfill\Large\bfseries}      %
\renewcommand{\cftloftitlefont}{\hfill\Large\bfseries}      %
\renewcommand{\cftlottitlefont}{\hfill\Large\bfseries}      %
\renewcommand{\cftaftertoctitle}{\hfill\hfill}              %
\renewcommand{\cftafterloftitle}{\hfill}                    %
\renewcommand{\cftafterlottitle}{\hfill}                    %
\setlength{\cftbeforetoctitleskip}{0em}                     %
\setlength{\cftbeforeloftitleskip}{0em}                     %
\setlength{\cftbeforelottitleskip}{0em}                     %

\usepackage{subcaption}
\newcommand*\rot{\rotatebox{90}}
